Package it.ernytech.tdlib

## Class TdApi.ReportChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ReportChat

Enclosing class:
  TdApi

    public static class TdApi.ReportChat
    extends TdApi.Function

Reports a chat to the Telegram moderators. Supported only for supergroups, channels, or private chats with bots, since other chats can't be checked by moderators.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long[]` `messageIds` Identifiers of reported messages, if any.
`TdApi.ChatReportReason` `reason` The reason for reporting the chat.

### Constructor Summary

Constructors
`ReportChat()` Default constructor.
`ReportChat​(long chatId, TdApi.ChatReportReason reason, long[] messageIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### reason

    public TdApi.ChatReportReason reason

The reason for reporting the chat.

#### messageIds

    public long[] messageIds

Identifiers of reported messages, if any.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReportChat

    public ReportChat()

Default constructor.

#### ReportChat

    public ReportChat​(long chatId,
                      TdApi.ChatReportReason reason,
                      long[] messageIds)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `reason` - The reason for reporting the chat.
  `messageIds` - Identifiers of reported messages, if any.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR